#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "Optionen"
    BEGIN
	MENUITEM "Datenbank auswählen" idMainMenuSelectDB "s"
	MENUITEM "Datenbank erstellen" idMainMenuNewDB "n"
	MENUITEM "Datenbank löschen" idMainMenuDelDB "d"
	MENUITEM "Datenbank übertragen" idMainMenuBeamDB "b"
	MENUITEM SEPARATOR 
        MENUITEM "Einstellungen..." idMainMenuCustom "m"
        MENUITEM "Über List..." idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "Neu" idMainNewButton 2 146 AUTO AUTO
    BUTTON "Suchen" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "Ansicht"
    BUTTON "Fertig" idViewDoneButton 2 146 AUTO AUTO
    BUTTON "Bearb." idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "Bearb."
    BEGIN
        MENUITEM "Rückgängig" idEditMenuUndo "u"
        MENUITEM "Ausschneiden" idEditMenuCut "x"
        MENUITEM "Kopieren" idEditMenuCopy "c"
        MENUITEM "Einfügen" idEditMenuPaste "p"
        MENUITEM "Alles auswählen" idEditMenuSelectAll "s"
	MENUITEM SEPARATOR 
        MENUITEM "Tastatur" idEditMenuKeyboard "k"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "Bearbeiten"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON "Fertig" idEditDoneButton 2 146 AUTO AUTO
    BUTTON "Löschen" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Note" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Note"
    BUTTON "Fertig" idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "Einstellungen"

	LABEL "List-Name:" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 20
	LABEL "Feld1-Name:" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Feld2-Name:" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Feld-Reihenfolge" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "Feld1,Feld2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "Feld1,Feld2" "Feld2,Feld1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "Schreibgeschützt" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "Backup bei Hot-Sync" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "Automatisches Backup" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "Start-Datenbank auswählen" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON "Fertig" idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "'List-Name', 'Feld1-Name' und 'Feld2-Name' ermöglichen eine "\
	"Änderung der Einstellungen für die aktuelle Datenbank.\n\n"\
	"'Feld-Reihenfolge' definiert den Anzeigetyp für die aktuelle Datenbank.\n\n"\
	"'Schreibgeschützt' verhindert eine Bearbeitung der aktuellen Datenbank.\n\n"\
	"'Backup bei Hot-Sync' zeigt das Backup-Attribut der aktuellen Datenbank.\n\n"\
	"Die letzten zwei Felder definieren globale Einstellungen für alle Datenbanken.\n\n"\
	"Bei 'Automatisches Backup' wird das Backup-Attribut automatisch bei einer Bearbeitung "\
	"nach einem Hot-Sync gesetzt.  Nach einem Hot-Sync wird das "\
	"Backup-Attribut automatisch zurückgesetzt.\n\n"\
	"'Start-Datenbank auswählen' definiert das Startverhalten von "\
	"List.  Bei mehr als einer Datenbank wird beim Start ein Auswahldialog angezeigt, "\
	"ansonsten wird die letzte aktive Datenbank benutzt."


FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "List-Datenbank auswählen"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "List-Datenbank auswählen"
	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END


FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "Lokale Suche"
	LABEL "Suchen:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Abbrechen" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "Lokale Suche"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Abbrechen" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "Weitersuchen" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "Über List 0.99"
    MESSAGE "List ist Freeware"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"\
	"\n\nGerman Translation"\
	"\nJens Albrecht"

    BUTTONS "OK"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "Datenbank-Name unzulässig"
    MESSAGE "Eine Datenbank mit dem Namen 'New List' existiert bereits. "\
	    "Ändern Sie zuvor unter Einstellungen den Namen der existierenden Datenbank."
    BUTTONS "OK"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "Eintrag löschen"
    MESSAGE "Aktuellen Eintrag löschen?"
    BUTTONS "OK" "Abbrechen"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "Datenbank löschen"
    MESSAGE "Aktuelle Datenbank löschen?"
    BUTTONS "OK" "Abbrechen"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "Datenbank ersetzen"
    MESSAGE "Vorhandene Datenbank überschreiben?"
    BUTTONS "OK" "Abbrechen"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "Zu viele Datenbanken"
    MESSAGE "List unterstützt maximal 12 Datenbanken."
    BUTTONS "OK"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "Datenbank-Name unzulässig"
    MESSAGE "Zwei verschiedene Datenbanken können nicht den gleichen Namen haben."
    BUTTONS "OK"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "Datenbank-Name leer"
    MESSAGE "Jede Datenbank muss einen Namen haben."
    BUTTONS "OK"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "Datenbank schreibgeschützt"
    MESSAGE "Die Datenbank ist schreibgeschützt.  Dies kann im Menü "\
	"Einstellungen geändert werden."
    BUTTONS "OK"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "Kein Speicher"
    MESSAGE "Eintrag nicht aktualisiert -- Änderungen verworfen."
    BUTTONS "OK"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "Übertragen"
    MESSAGE "Dieses Gerät hat nicht die zum Übertragen notwendige Infrarot-Hardware."
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "Übertragen nicht möglich"
    MESSAGE "Schreibgeschützte Datenbanken können nicht übertragen werden."
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Unbekannter Fehler"
	MESSAGE "Eine unerwartete Situation ist aufgetreten"
	BUTTONS "Oh-je"
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"View "
STRING idStringOf			" of "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Unfiled"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"New List"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Field1"
STRING idStringField2		"Field2"
STRING idStringNote			"Note"